Ogre::CPreprocessor::Macro Class Reference

A macro definition. More...

List of all members.

## Public Member Functions

| Macro (const Token &iName)
| ~Macro ()
Token | Expand (int iNumArgs, Token *iArgs, Macro *iMacros)
| Expand the macro value (will not work for functions)
| Macro (const Token &iName)
| ~Macro ()
Token | Expand (int iNumArgs, Token *iArgs, Macro *iMacros)
| Expand the macro value (will not work for functions)

## Public Attributes

Token | Name
| Macro name.
int | NumArgs
| Number of arguments.
Token * | Args
| The names of the arguments.
Token | Value
| The macro value.
Token | Body
| Unparsed macro body (keeps the whole raw unparsed macro body)
Macro * | Next
| Next macro in chained list.
Token(* | ExpandFunc )(CPreprocessor *iParent, int iNumArgs, Token *iArgs)
| A pointer to function implementation (if macro is really a func)
bool | Expanding
| true if macro expansion is in progress

## Detailed Description

A macro definition.

Definition at line 172 of file OgreGLSLPreprocessor.h.

## Constructor & Destructor Documentation

Ogre::CPreprocessor::Macro::Macro | ( | const Token & | iName | ) |

Definition at line 192 of file OgreGLSLPreprocessor.h.

Ogre::CPreprocessor::Macro::~Macro | ( |  | ) |

Definition at line 197 of file OgreGLSLPreprocessor.h.

References Args, and Next.

Ogre::CPreprocessor::Macro::Macro | ( | const Token & | iName | ) |

Definition at line 192 of file OgreGLSLESPreprocessor.h.

Ogre::CPreprocessor::Macro::~Macro | ( |  | ) |

Definition at line 197 of file OgreGLSLESPreprocessor.h.

References Args, and Next.

## Member Function Documentation

Token Ogre::CPreprocessor::Macro::Expand | ( | int | iNumArgs,
|  | Token * | iArgs,
|  | Macro * | iMacros
| ) |  |

Expand the macro value (will not work for functions)

Token Ogre::CPreprocessor::Macro::Expand | ( | int | iNumArgs,
|  | Token * | iArgs,
|  | Macro * | iMacros
| ) |  |

Expand the macro value (will not work for functions)

## Member Data Documentation

Token * Ogre::CPreprocessor::Macro::Args

The names of the arguments.

Definition at line 180 of file OgreGLSLPreprocessor.h.

Referenced by ~Macro().

Token Ogre::CPreprocessor::Macro::Body

Unparsed macro body (keeps the whole raw unparsed macro body)

Definition at line 184 of file OgreGLSLPreprocessor.h.

Token(* Ogre::CPreprocessor::Macro::ExpandFunc)(CPreprocessor *iParent, int iNumArgs, Token *iArgs)

A pointer to function implementation (if macro is really a func)

Definition at line 188 of file OgreGLSLPreprocessor.h.

bool Ogre::CPreprocessor::Macro::Expanding

true if macro expansion is in progress

Definition at line 190 of file OgreGLSLPreprocessor.h.

Token Ogre::CPreprocessor::Macro::Name

Macro name.

Definition at line 176 of file OgreGLSLPreprocessor.h.

Macro * Ogre::CPreprocessor::Macro::Next

Next macro in chained list.

Definition at line 186 of file OgreGLSLPreprocessor.h.

Referenced by ~Macro().

int Ogre::CPreprocessor::Macro::NumArgs

Number of arguments.

Definition at line 178 of file OgreGLSLPreprocessor.h.

Token Ogre::CPreprocessor::Macro::Value

The macro value.

Definition at line 182 of file OgreGLSLPreprocessor.h.

The documentation for this class was generated from the following files:

- OgreGLSLPreprocessor.h
- OgreGLSLESPreprocessor.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:55